Get All Authorizations
curl --request GET \
--url https://api.payaza.africa/live/card/auth_capture/authorize \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/card/auth_capture/authorize"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/card/auth_capture/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/card/auth_capture/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/card/auth_capture/authorize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/card/auth_capture/authorize")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/card/auth_capture/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"authorizations": [
{
"authorization_reference": "AUTH-1234567890",
"status": "AUTHORIZED",
"authorization_amount": 100,
"captured_amount": 0,
"remaining_amount": 100,
"currency": "NGN",
"authorization_code": "123456",
"expires_at": "2025-01-19T10:30:00",
"created_at": "2025-01-12T10:30:00",
"updated_at": "2025-01-12T10:30:00",
"captured_at": null,
"voided_at": null,
"card_last_4": "2346",
"card_brand": "MASTERCARD",
"order_reference": "ORD-001",
"merchant_reference": "MR-001",
"customer_email": "customer@example.com",
"customer_name": "John Doe",
"error_reason": null,
"void_reason": null
}
],
"page": 0,
"size": 20,
"total_elements": 1,
"total_pages": 1,
"has_next": false,
"has_previous": false
}Auth-Capture-Void
Get All Authorizations
The merchant uses this endpoint to fetch Authorizations that have been created within a certain period of time.
GET
/
card
/
auth_capture
/
authorize
Get All Authorizations
curl --request GET \
--url https://api.payaza.africa/live/card/auth_capture/authorize \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/card/auth_capture/authorize"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/card/auth_capture/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/card/auth_capture/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/card/auth_capture/authorize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/card/auth_capture/authorize")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/card/auth_capture/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"authorizations": [
{
"authorization_reference": "AUTH-1234567890",
"status": "AUTHORIZED",
"authorization_amount": 100,
"captured_amount": 0,
"remaining_amount": 100,
"currency": "NGN",
"authorization_code": "123456",
"expires_at": "2025-01-19T10:30:00",
"created_at": "2025-01-12T10:30:00",
"updated_at": "2025-01-12T10:30:00",
"captured_at": null,
"voided_at": null,
"card_last_4": "2346",
"card_brand": "MASTERCARD",
"order_reference": "ORD-001",
"merchant_reference": "MR-001",
"customer_email": "customer@example.com",
"customer_name": "John Doe",
"error_reason": null,
"void_reason": null
}
],
"page": 0,
"size": 20,
"total_elements": 1,
"total_pages": 1,
"has_next": false,
"has_previous": false
}Query Parameters
Response
Get All Authorizations Response